# Delay(TimeSpan,CancellationToken)

Method in [YarnTask](/3.1/api/csharp/yarn.unity/yarn.unity.yarntask-1.md)

## Summary

Creates a [YarnTask](/3.1/api/csharp/yarn.unity/yarn.unity.yarntask-1.md) that delays for the time indicated by `timeSpan` , and then returns.

```csharp
public static partial YarnTask Delay(TimeSpan timeSpan, CancellationToken token = default);
```

## Parameters

| Name                      | Description                                  |
| ------------------------- | -------------------------------------------- |
| `TimeSpan` timeSpan       | The amount of time to wait.                  |
| `CancellationToken` token | A token that can be used to cancel the task. |

## Returns

A new [YarnTask](/3.1/api/csharp/yarn.unity/yarn.unity.yarntask-1.md) .


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.yarntask-1/yarn.unity.yarntask.delay-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
